0
0 Items$0.00

1.2mH Radial Leaded Power Inductors :

13 Products Found
Find a huge range of 1.2mH Radial Leaded Power Inductors at element14 New Zealand. We stock a wide range of Radial Leaded Power Inductors, such as 10µH, 100µH, 1mH & 220µH Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft, Wurth Elektronik, Kemet, Bourns & Abracon

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price (Incl GST)
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
1869791

RoHS

Each
1+ $2.640($3.036)
5+ $2.570($2.9555)
10+ $2.510($2.8865)
25+ $2.430($2.7945)
50+ $2.340($2.691)
More Pricing...
WE-TI Series
1.2mH
Unshielded
400mA
450mA
2.64ohm
± 10%
2457919

RoHS

Each
1+ $2.750($3.1625)
5+ $2.540($2.921)
10+ $2.320($2.668)
25+ $2.150($2.4725)
50+ $1.900($2.185)
More Pricing...
RFC1010 Series
1.2mH
Unshielded
610mA
750mA
1.85ohm
± 10%
2457889

RoHS

Each
1+ $2.770($3.1855)
5+ $2.560($2.944)
10+ $2.350($2.7025)
25+ $2.150($2.4725)
50+ $1.920($2.208)
More Pricing...
RFC0810 Series
1.2mH
Unshielded
460mA
580mA
2.7ohm
± 10%
2457736

RoHS

Each
1+ $2.450($2.8175)
5+ $2.270($2.6105)
10+ $2.090($2.4035)
25+ $1.900($2.185)
50+ $1.700($1.955)
More Pricing...
RFB0807 Series
1.2mH
Unshielded
340mA
280mA
4.5ohm
± 10%
4065987

RoHS

Each
1+ $4.060($4.669)
5+ $3.970($4.5655)
10+ $3.870($4.4505)
20+ $3.640($4.186)
40+ $3.400($3.910)
More Pricing...
WE-TI Series
1.2mH
Unshielded
700mA
750mA
1.4ohm
± 5%
4142905

RoHS

Each
1+ $1.720($1.978)
5+ $1.530($1.7595)
10+ $1.330($1.5295)
20+ $1.280($1.472)
40+ $1.220($1.403)
More Pricing...
AIUR-06 Series
1.2mH
Unshielded
610mA
800mA
1.5ohm
± 10%
4360211

RoHS

Each
1+ $1.830($2.1045)
10+ $1.760($2.024)
100+ $1.460($1.679)
500+ $1.340($1.541)
1000+ $1.320($1.518)
More Pricing...
WE-TI Series
1.2mH
Unshielded
420mA
420mA
2.39ohm
± 5%
2519631

RoHS

Each
1000+ $0.691($0.7946)
2000+ $0.672($0.7728)
3000+ $0.651($0.7486)
5000+ $0.639($0.7348)
10000+ $0.637($0.7326)
More Pricing...
-
1.2mH
Unshielded
-
-
2.9ohm
-
2457776

RoHS

Each
1+ $3.070($3.5305)
5+ $2.840($3.266)
10+ $2.610($3.0015)
25+ $2.390($2.7485)
50+ $2.120($2.438)
More Pricing...
RFB0810 Series
1.2mH
Unshielded
470mA
400mA
2.8ohm
± 10%
2457855

RoHS

Each
1+ $1.880($2.162)
5+ $1.730($1.9895)
10+ $1.590($1.8285)
25+ $1.450($1.6675)
50+ $1.290($1.4835)
More Pricing...
RFC0807 Series
1.2mH
Unshielded
350mA
560mA
3.85ohm
± 10%
2526902

RoHS

Each
1+ $3.930($4.5195)
5+ $3.650($4.1975)
10+ $3.360($3.864)
25+ $3.070($3.5305)
50+ $2.700($3.105)
More Pricing...
RFS1317 Series
1.2mH
Shielded
810mA
720mA
1.19ohm
± 10%
3011809

RoHS

Each (Supplied on Cut Tape)
Cut Tape
1+ $3.880($4.462)
10+ $3.320($3.818)
50+ $3.060($3.519)
100+ $2.370($2.7255)
500+ $2.010($2.3115)
More Pricing...
SBCP Series
1.2mH
Unshielded
320mA
450mA
2.6ohm
± 10%
3290921

RoHS

Each
1+ $2.070($2.3805)
10+ $1.740($2.001)
50+ $1.590($1.8285)
100+ $1.310($1.5065)
500+ $1.270($1.4605)
More Pricing...
SBC Series
1.2mH
Unshielded
280mA
280mA
2.7ohm
± 10%
1-13 of 13 items
of 1 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
PayPal